\section{\report{} June 19, 2020}
\label{sec:2020-06-19-section}

\subsection{Things I did}
\label{sec:2020-06-19-things-I-did}

\subsubsection{Fitting method improvement}
\label{sec:2020-06-12-fitting-method-improvement}
Currently the function $f$ we're trying to minimize is the difference of our estimate and the real data
\begin{align}
f(\text{estimate}, \text{real data}) &= f \left(
\begin{bmatrix}
           D'_{u} \\
           H'_{m} \\
           H'_{s} \\
           I'_{cu} \\
           R' \\
           D'
\end{bmatrix}, 
\begin{bmatrix}
           D_{u} \\
           H_{m} \\
           H_{s} \\
           I_{cu} \\
           R \\
           D
\end{bmatrix}
\right) \\
&= g(D'_{u}, D_{u}) + g(H'_{m}, H_{m}) + \ldots + g(D', D) \\
&= \sum_{x \in [D'_{u}, H'_{m}, H'_{s}, I'_{cu}, R', D'], y \in [D_{u}, H_{m}, H_{s}, I_{cu}, R, D]} g(x, y) 
\end{align}
The problem consists of finding a good function $g$ which does not overfit data but tries to fit the most data at the same time. A classical choice of $g$ is $g(x, y) = (x - y) ^ 2$ which would result in the classical least-square method.\\
However I don't think this helps us to fit the most data. In particular, since the variation of $y$ during time is a lot (e.g the \no{} deaths rises from $1e2$ to $1e4$, $2$ orders of magnitude) the classical least-square method tend to minimize the error on the larger quantities, not caring about the lower one. This is a problem known in the literature and the usual way to solve this is to \textit{normalize} data using some \textit{normalization} function. I propose to use $\log$ so
\begin{align}
g(x) = (\log x - \log y) ^ 2
\end{align}
This has been effectively applied to the fitting algorithm with success: the average normalized $RMSE$ is lower.

\subsubsection{Mixing matrices}
\label{sec:2020-06-19-mixing-matrices}

I added a sample (identity) matrix in the code model. We're still missing regional level age-based data.

\subsubsection{Age stratified}
\label{sec:2020-06-19-as-model}

Methods of fitting age-stratified data can vary. Let
\begin{itemize}
\item \textit{age-class} be one class resulting from the division of the population into classes by age (\eg{} 10-19 or 25-45) and 
\item \textit{state} be one of \{$\text{deaths undetected}, \text{home confined} \ldots$\}
\end{itemize}. I propose the following approaches:
\begin{itemize}
\item for each time step $t$, target is not more the vector
\begin{align}
\text{target}(t) = \begin{bmatrix}
          \text{deaths undetected}(t)\\
          \text{home confined}(t)\\
          \text{hospitalized}(t)\\
          \text{ICU}(t)\\
          \text{recovered}(t)\\
          \text{deaths}(t)
\end{bmatrix}
\end{align} but 
\begin{align}
\text{target}'(t) = \begin{bmatrix}
  \text{deaths undetected}_1(t) \\
  \text{home confined}_1(t) \\
  \text{hospitalized}_1(t) \\
  \text{ICU}_1(t) \\
  \text{recovered}_1(t) \\
  \text{deaths}_1(t) \\
  \text{deaths undetected}_2(t) \\
  \text{home confined}_2(t) \\
  \ldots \\
  \text{deaths}_m(t)
\end{bmatrix}
\end{align} where $m$ is the number of age-classes we want to model. The issue that may arise is the big number of data points to fit: for each time step we would have $6 \cdot m$ data points to fit. Furthermore in this case we need the mixing matrix of the population, and the initial population size for each age class.
\item a simpler approach would consist in
\begin{enumerate}
\item retrieve the ratio of each state across all age-classes
\item fit the usual $\text{target}$ vector
\item apply the ratios to find out each state for each age-class
\end{enumerate} this would reduce the degrees of freedom of the model (for each time step we would have $m$ data points to fit) at the cost of having a constant (over time) ratio of each state across age classes. In this case we don't need the mixing matrix of the population: it is implicitly inferred by using the real data percentages
\item a more refined approach would measure the ratio of each age-class state (to the total of the state) over time and try to fit a function. \eg{} when we may note that the percentage of deaths (to total deaths) in the class 10-19 is constant, but the percentage of deaths in the class 90+ may rise (by sigmoid, logarithmic $\ldots$): we would express this percentage as a function of time. We won't need the mixing matrix, nor the initial population size for each age class.
\end{itemize}
